Get all bidders
get
/fscmRestApi/resources/11.13.18.05/sellerNegotiations/{sellerNegotiationsUniqID}/child/bidders
Request
Path Parameters
-
sellerNegotiationsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Seller Negotiations resource and used to uniquely identify an instance of Seller Negotiations. The client should not generate the hash key value. Instead, the client should query on the Seller Negotiations collection resource in order to navigate to a specific instance of Seller Negotiations to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the invitation to the bidder according to SellerAuctionHeaderId; integer; and BidderInvitationId; integer; .
Finder Variables- BidderInvitationId; integer; Value that uniquely identifies the bidder invited to the negotiation.
- SellerAuctionHeaderId; integer; Value that uniquely identifies the seller negotiation.
- PrimaryKeyFinder Finds the invitation to bidder according to BidderInvitationId; integer; .
Finder Variables- BidderInvitationId; integer; Value that uniquely identifies the bidder invited by the application to engage in the seller negotiation.
- PrimaryKey Finds the invitation to the bidder according to SellerAuctionHeaderId; integer; and BidderInvitationId; integer; .
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BidderId; integer; Value that uniquely identifies the bidder that the application invited to participate in the seller negotiation.
- BidderInvitationId; integer; Value that uniquely identifies the bidder invited to the negotiation.
- SellerAuctionHeaderId; integer; Value that uniquely identifies the seller negotiation.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : sellerNegotiations-bidders
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sellerNegotiations-bidders-item-response
Type:
Show Source
object-
Bidder: string
Title:
BidderMaximum Length:360Name of the bidder that the application invited to participate in the seller negotiation. -
BidderContact: string
Title:
Bidder ContactMaximum Length:255Name of the contact person associated with the bidder invited to participate in the seller negotiation. -
BidderContactId: integer
(int64)
Value that uniquely identifies the contact person associated with the bidder invited to participate in the seller negotiation.
-
BidderCreationStatus: string
Read Only:
trueMaximum Length:255Display name of the status indicating whether supplier creation was successful after approval. Values include Canceled, Completed, and Error. A list of accepted values is defined in the lookup type POZ_SUPPLIER_CREATION_STATUS. -
BidderCreationStatusCode: string
Read Only:
trueMaximum Length:30Abbreviation that identifies the status indicating whether supplier creation was successful after approval. Values include CANCELED, COMPLETED, and ERROR. A list of accepted values is defined in the lookup type POZ_SUPPLIER_CREATION_STATUS. -
BidderId: integer
(int64)
Value that uniquely identifies the bidder that the application invited to participate in the seller negotiation.
-
BidderInvitationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the bidder invited to the negotiation. -
BidderSite: string
Title:
Bidder SiteMaximum Length:240Bidder site name linked to the bidder invited for seller negotiation. -
BidderSiteId: integer
(int64)
Value that uniquely identifies the bidder site associated with the bidder invited to participate in the seller negotiation.
-
BusinessRelationship: string
Read Only:
trueMaximum Length:255Type of business relationship that the bidder has with the organization conducting the seller negotiation. Values include None, Prospective, and Spend Authorized. -
BusinessRelationshipCode: string
Title:
Business RelationshipRead Only:trueMaximum Length:30Abbreviation that identifies the type of business relationship that the bidder has with the organization conducting the seller negotiation. Values include NONE, PROSPECTIVE, and SPEND_AUTHORIZED. A list of accepted values is defined in the lookup type ORA_POZ_PURCHASING_RELATIONSHIP. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who added the bidder to the negotiation. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user added the bidder to the negotiation. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the bidder. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the bidder. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RegistrationStatus: string
Read Only:
trueMaximum Length:255Status of the bidder's registration request. Values include Approved, Not Submitted, Pending Approval, and Rejected. -
RegistrationStatusCode: string
Read Only:
trueMaximum Length:30Abbreviation that identifies the status of the bidder's registration request. Values include APPROVED, DRAFT, PENDING, and REJECTED. -
RequestedBidder: string
Read Only:
trueMaximum Length:240Name of the bidder invited to the negotiation whose registration is pending approval. -
RequestedBidderContact: string
Title:
Bidder ContactMaximum Length:255The name of the contact person at the bidding company who should respond to the negotiation. This value applies when the bidder approval is pending. -
RequestedBidderContactId: integer
(int64)
The value identifies the contact person at the bidder who's invited to respond to the negotiation. This value applies when the bidder approval is pending.
-
RequestedBidderId: integer
(int64)
Value that identifies the bidder that the application invites to respond to the negotiation. Applies during approval pending.
-
SellerAuctionHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the seller negotiation. -
SpendAuthorizationReviewStatus: string
Read Only:
trueMaximum Length:255Status of the bidder's spend authorization review. Values include Pending Approval and Rejected. -
SpendAuthorizationReviewStatusCode: string
Read Only:
trueMaximum Length:30Abbreviation that indicates the status of the bidder's spend authorization review. The possible statuses are PENDING_APPROVAL and REJECTED. Accepted statuses can be found in the lookup type ORA_POZ_SPEND_AUTH_REV_STATUS. -
VendorId: integer
(int64)
Read Only:
trueNumber that uniquely identifies the supplier.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.